//{block name="backend/article/view/detail/base"}
//{$smarty.block.parent}
Ext.override(Shopware.apps.Article.view.detail.Base, {
    createLeftElements: function () {

        var me = this,
            fields = me.callParent(arguments);

        me.attrField_lb1 = Ext.create('Ext.form.field.Checkbox', {
            xtype: 'checkboxfield',
            name: 'lb_1',
            labelWidth: 155,
            fieldLabel: '{s name=article/use_for_layout}Use as LayoutBuddy article{/s}',
        });

        fields.push(me.attrField_lb1);

        me.attrField_lb2 = Ext.create('Ext.form.field.ComboBox', {
                xtype: 'combobox',
                name: 'attribute[lbConfigId]',
                labelWidth: 155,
                fieldLabel: '{s name=article/config_id}LayoutBuddy Config ID{/s}',
                editable: false,
                queryMode: 'local',
                store: {
                    fields: ['id', 'label'],
                    autoLoad: true,
                    proxy: {
                        type: 'ajax',
                        url: '{url controller="LyByLayoutBuddyOrdersTab" action="configs"}'
                    }
                },
                valueField: 'id',
                displayField: 'label'
            });

        fields.push(me.attrField_lb2);

        me.attrField_lb3 = Ext.create('Ext.form.field.Text', {
            xtype: 'textfield',
            name: 'attribute[lbLayoutId]',
            labelWidth: 155,
            fieldLabel: '{s name=article/layout_id}LayoutBuddy Layout ID (optional){/s}'
        });
        fields.push(me.attrField_lb3);

        return fields;
    }
});
//{/block}

//{block name="backend/article/view/detail/base"}
//{$smarty.block.parent}
Ext.define('Shopware.apps.Article.view.detail.MyBase', {
    override: 'Shopware.apps.Article.view.detail.Base',

    onStoresLoaded: function () {

        var me = this;

        me.callParent(arguments);

        Ext.Ajax.request({
            url: '{url controller=AttributeData action=loadData}',
            params: {
                _foreignKey: me.article.get('mainDetailId'),
                _table: 's_articles_attributes'
            },
            success: function (responseData, request) {
                var response = Ext.JSON.decode(responseData.responseText);
                me.attrField_lb1.setValue(response.data['__attribute_lb_use_for_layout']);
                me.attrField_lb2.setValue(response.data['__attribute_lb_config_id']);
                me.attrField_lb3.setValue(response.data['__attribute_lb_layout_id']);
            }
        });
    }
});
//{/block}